/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    './pages/**/*.{js,ts,jsx,tsx}',
    './node_modules/dark-crystal-web3-ui-components/components/**/*.js',
  ],
  theme: {
    extend: {
      colors: {
        'so-bg': '#D7B8C0',
        'so-text': '#4F1C35',
        'so-bubble-bg': '#CAA0AF',
      },
      fontFamily: {
        'silkscreen': ['SILKSCREEN'],
      },
      backgroundImage: {
        'crystal-background': "url('../img/bg-crystal.jpeg')",
      },
    },
  },
  plugins: [],
}

// require('@tailwindcss/forms')
// './components#<{(||)}>#*.{js,ts,jsx,tsx}'
